> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Image Generation Models

> Interface description: Returns the optional parameters (size, style, etc.) and value range of each image generation model.

The image is generated as **Wen Sheng Picture**: Generate a new image only through text prompts, without passing in pictures. If you need to make modifications based on existing images (image-generated images), please use ["Image Editing Model"](/en/api-reference/get-api-ai-models-image-edit) and the corresponding image editing interface.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/ai/models/image/generation
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/ai/models/image/generation:
    get:
      tags:
        - AI Services/Image Generation
      summary: Image Generation Models
      description: >-
        Interface description: Returns the optional parameters (size, style,
        etc.) and value range of each image generation model.


        The image is generated as **Wen Sheng Picture**: Generate a new image
        only through text prompts, without passing in pictures. If you need to
        make modifications based on existing images (image-generated images),
        please use ["Image Editing
        Model"](/en/api-reference/get-api-ai-models-image-edit) and the
        corresponding image editing interface.
      operationId: ImageController_getImageGenerationModels
      parameters: []
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Model name
                        description:
                          type: string
                          description: Model description
                        summary:
                          type: string
                          description: short summary
                        tags:
                          default: []
                          type: array
                          items:
                            type: string
                          description: tag list
                        mainTag:
                          type: string
                          description: main tags
                        sizes:
                          type: array
                          items:
                            type: string
                          description: Supported sizes
                        qualities:
                          type: array
                          items:
                            type: string
                          description: Supported quality options
                        styles:
                          type: array
                          items:
                            type: string
                          description: Supported style options
                        pricing:
                          type: array
                          items:
                            type: object
                            properties:
                              size:
                                type: string
                                description: Image size
                              price:
                                type: number
                                description: Points price
                              originPrice:
                                description: original price
                                type: number
                            required:
                              - size
                              - price
                            additionalProperties: false
                          description: Resolution price list
                      required:
                        - name
                        - description
                        - tags
                        - sizes
                        - qualities
                        - styles
                        - pricing
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      - name: string
                        description: string
                        tags: []
                        sizes:
                          - string
                        qualities:
                          - string
                        styles:
                          - string
                        pricing:
                          - size: string
                            price: 1
                            originPrice: 1
                        summary: string
                        mainTag: string
      deprecated: false
      security: []

````